# Class Signage#getUsagePermission

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#getUsagePermission(successCallback, errorCallback) Gets usage policy.

## Class Detail

Signage#getUsagePermission(successCallback, errorCallback)

Gets usage policy.

    function getUsagePermission() {
       var successCb = function (cbObject){
         var remoteKeyOperationMode = cbObject.remoteKeyOperationMode;
         var localKeyOperationMode = cbObject.localKeyOperationMode;
         console.log("remoteKeyOperationMode: " + remoteKeyOperationMode);
         console.log("localKeyOperationMode: " + localKeyOperationMode);
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var signage = new Signage();
       signage.getUsagePermission(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0
Returns:

  After the method is successfully executed, successCallback is called with the following data.

  Property | Type | Description
  --- | --- | ---
  remoteKeyOperationMode | KeyOperationMode | Remote Key operation mode
  localKeyOperationMode | KeyOperationMode | Built-in key operation mode

  If an error occurs, errorCallback is called with errorCode and errorText.